@import 'main.scss';

#splash {
    position: relative;

    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: flex-start;

    height: 80vh;
    min-height: 650px;

    @media (max-width: 600px) {
        min-height: unset;
        height: auto;
    }


    .wrapper {
        width: 100%;
        max-width: $site_width;
        position: absolute;
        width: 100%;
        height: 100%;

        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-end;
        align-items: flex-start;

        @media (max-width: 600px) {
            position: static;
        }
    }

    .content {
        width: 100%;
        max-width: 760px;

        padding: 50px;

        z-index: 1;
        background: #1a6150;
        text-align: center;
        color: #ffffff;

        margin: 0 auto -50px;
        box-sizing: border-box;

        @media (max-width: 600px) {
            width: 100%;
            margin-bottom: 0;
        }
    }

    h1 {
        margin: 0 0 20px;
        font-size: 42px;
    }

    p {
        margin: 0;
        font-size: 18px;
        letter-spacing: 0.2px;
    }

    .siema {
        @media (max-width: 600px) {
            display: none;
        }
    }

    .siema,
    .siema>div,
    .siema>div>div {
        width: 100vw;
        height: 100%;
    }

    img {
        display: block;
        width: 100vw;
        height: 100%;
        object-fit: cover;
        object-position: center 70%;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
    }
}

#projects {
    background: #f9f9f9;
    padding: 100px 0;

    @media (max-width: 600px) {
        padding-top: 50px;
    }

    h2 {
        margin: 0 0 10px 0;
    }

    .greatest-need {
        padding: 0 20px;
        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-start;
        align-items: center;
        margin-bottom: 50px;
        text-align: center;
        font-size: 1.2em;
    }

    .grid {
        margin-left: auto;
        margin-right: auto;
    }
}

#filter {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
    font-weight: 300;
    padding: 0 50px;

    select {
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        background-color: transparent;
        background-image: url('/give/img/green-down.png');
        background-repeat: no-repeat;
        background-size: 15px;
        background-position: calc(100% - 10px) 55%;
        border: 1px solid #2b6e46;
        padding: 10px 25px 10px 10px;
        font-size: inherit;
        color: inherit;
        font-weight: 300;
        margin-left: 10px;
        border-radius: 3px;
    }

    option {
        font-weight: 300;
    }


    @media (max-width: 420px) {
        label {
            text-align: center;
        }

        select {
            display: block;
            margin: 10px 0 0;
        }
    }
}

.masonry {
    margin-left: auto;
    margin-right: auto;

    max-width: 100vw;
}